@media (max-width: 768px) {  
.mobile-menu {
    display: flex;
  }
   .header-nav {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 1200px;
    background: rgba(15, 15, 15, 0.92);
     
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);
    padding: 90px 24px 54px;
    transform: translateX(100%);
    opacity: 0;
    visibility: hidden;
    transition: 0.35s ease;
    z-index: 1000;
  }

  .header-nav.is-open {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
  }

  .nav-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
  }

  .nav-list li a {
    color: white;
    font-size: 18px;
    text-decoration: none;
  }

  .btn-primary {
    display: none;
  }
  .hero-cta-block {
    display: none;
  }
  .hero-text h1 {
    font-size: 40px;
  }
.highlights-section {
  padding: 40px 0px;
}
.section-header {
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
    text-align: start;
    justify-content: center;
    margin-left: 20px;
}
.section-header h2 {
  font-size: 30px;
  margin: 0;
  padding: 0;
}
.slide-text h3 {
  font-size: 20px;
}
.slide-text p {
  font-size: 15px;
}
.highlights-slider {
  margin-top: 40px;
}
.highlights-slider-viewport {
  margin-left: 0px;
  max-width: 500px;
  height:600px;
}
.h4-bottom-slider h4 {
    font-size: 30px;
    margin-left: 20px;
}
.features-sidebar {
     width: 100%;
    max-width: 100%;
    overflow: hidden;
    margin-left: 0px;

}
.feature-tab-content{
    margin-left: 0px;
    width: 100%;
    max-width: 100%;
    overflow: hidden;
}

.conectivity {
   object-position: 70% center;
}
.camera {
    object-position: 30% center;
}
.reveal-final-text p {
  font-size: 16px;
}
.reveal-final-text {
   max-width: 300px;
}

.reveal-mask-text {
  font-size:40px;
}

}

